<?php

class Andy_NewUserEmail_CronEntry_NewUserEmail
{
	public static function runNewUserEmail()
	{
		//########################################
		// run cron to send email
		//########################################		
		
		// get database
		$db = XenForo_Application::get('db');		
		
		//########################################
		// get new registrations
		//########################################
		
		// run query
		$emails = $db->fetchAll("
			SELECT xf_user.user_id, xf_user.username, xf_user.email
			FROM xf_user
			INNER JOIN xf_new_user_email ON xf_new_user_email.user_id = xf_user.user_id
			WHERE xf_user.user_state = 'valid'
		");	
		
		//########################################
		// start message
		//########################################
		
		// get options from Admin CP -> Options -> Basic Board Information -> Board Title
		$boardTitle = XenForo_Application::get('options')->boardTitle;		
		
		// get subject   
		$subject = new XenForo_Phrase('newuseremail_subject');	
		
		// replace {board_title} in subject
		$subject = str_replace('{board_title}', $boardTitle, $subject);					
		
		// get message
		$message = new XenForo_Phrase('newuseremail_message') . '<br /><br />';		
				
		// replace {board_title} in message
		$message = str_replace('{board_title}', $boardTitle, $message);							
		
		//########################################
		// send email
		//########################################		
		
		// foreach emails
		foreach ($emails as $k => $v)
		{	
			// prepare $to variable
			$to = $v['email'];
			
			// replace {username} in message
			$message = str_replace('{username}', $v['username'], $message);				

			// username
			$username = $v['username'];
			
			// email 
			$email = $v['email'];
			
			// define user variable
			$user = array(
				'username' => $username,
				'email' => $email
			);
			
			// prepare mailParams                    
			$mailParams = array(
				'user' => $user,
				'subject' => $subject,
				'message' => $message
			);
				
			// prepare mail variable
			$mail = XenForo_Mail::create('newuseremail_contact', $mailParams);
			
			// send mail
			$mail->queue($user['email'], $user['username']);
			
			//########################################
			// delete row in xf_new_user_email
			//########################################
			
			// delete row
			$db->query("
				DELETE FROM xf_new_user_email
				WHERE user_id = " . $v['user_id'] . "
			");				
		}
	}
}